#!/bin/flua
-- (c) 2005 Robert Shingledecker
-- GUI frontend to /opt/.dslrc

dofile("/etc/init.d/functions.lua")

w = Window{420,100, "DSL Mirror"}
url = Input{60,10,350,25,"URL:"}
url.value = getOption("/opt/.dslrc","Mirror")

protocol = Input{75,40,50,25,"Protocollo:"}
protocol.value = getOption("/opt/.dslrc","Protocol")

select = Button{135,70,70,25,"&Seleziona"}
function select:callback()
  execute('dslMirrorSel.lua')
  url.value = getOption("/opt/.dslrc","Mirror")
  protocol.value = getOption("/opt/.dslrc","Protocol")
end

save = Button{225,70,70,25,"&OK"}
function save:callback()
  if url.value == "" then
     write(strchar(7)) flush()
  else
     writeto("/opt/.dslrc")
     write("Mirror: "..url.value)
     write("\n")
     write("Protocol: "..protocol.value)
     write("\n")
     flush()
     exit(0)
  end
end

w:end_layout()
w:show()
