#!/bin/flua

-- cardcontrol.lua by J.P. Nimmo
-- some stuff, like the tab setup and text -to-frame stuff shamelessly ripped off from
-- Robert Shingledecker's stats.lua

window_width = 600
window_height = 350
view_port = window_height-35

Fl_Browser.initializers = {textfont=Font.screen}

w = Window{window_width,window_height,"PC carte PCMCIA"}

function w:callback()
	remove("cards.txt")
	remove("/tmp/cards.txt")
	exit(0)
end

tabs = Tabs{0,0,window_width,window_height; box=Boxtype.thin_up}

pages = {}
numOfPages = 5

for i = 1,numOfPages do
   pages[i] = Group{0,0,window_width,view_port,"Tab"..i}
end

pages[1]:begin_layout()
pages[1].label="principale"
mainBox = Box{10,10,window_width-20,view_port-20; box=Frametype.engraved, label =
[[Slot 0







Slot 1







]]}

slot0suspend = Button{30,80,100,30, "sospendi"}
function slot0suspend:callback()
   execute("sudo cardctl suspend 0")
end

slot0resume = Button{140,80,100,30, "ripristina"}
function slot0resume:callback()
   execute("sudo cardctl resume 0")
end

slot0reset = Button{250,80,100,30, "resetta"}
function slot0reset:callback()
   execute("sudo cardctl reset 0")
end

slot0eject = Button{360,80,100,30, "espelli"}
function slot0eject:callback()
   execute("sudo cardctl eject 0")
end

slot0insert = Button{470,80,100,30, "inserisci"}
function slot0insert:callback()
   execute("sudo cardctl insert 0")
end

slot1suspend = Button{30,210,100,30, "sospendi"}
function slot1suspend:callback()
   execute("sudo cardctl suspend 1")
end

slot1resume = Button{140,210,100,30, "ripristina"}
function slot1resume:callback()
   execute("sudo cardctl resume 1")
end

slot1reset = Button{250,210,100,30, "resetta"}
function slot1reset:callback()
   execute("sudo cardctl reset 1")
end

slot1eject = Button{360,210,100,30, "espelli"}
function slot1eject:callback()
   execute("sudo cardctl eject 1")
end

slot1insert = Button{470,210,100,30, "inserisci"}
function slot1insert:callback()
   execute("sudo cardctl insert 1")
end

pages[1]:end_layout()

pages[2]:begin_layout()
pages[2].label="stato"
pg2browser = Browser{0,0,window_width,view_port}
execute('cardctl status | tee /tmp/cards.txt >> cards.txt')
if not pg2browser:load("/tmp/cards.txt") then
   print("can't load browser.data")
   exit(1)
end
pg2browser.position = 0
pages[2]:end_layout()

pages[3]:begin_layout()
pages[3].label="config"
pg3browser = Browser{0,0,window_width,view_port}
execute('cardctl config | tee /tmp/cards.txt >> cards.txt')
if not pg3browser:load("/tmp/cards.txt") then
   print("Impossibile caricare browser.data")
   exit(1)
end
pg3browser.position = 0
pages[3]:end_layout()

pages[4]:begin_layout()
pages[4].label="ident"
pg4browser = Browser{0,0,window_width,view_port}
execute('cardctl ident | tee /tmp/cards.txt >> cards.txt')
if not pg4browser:load("/tmp/cards.txt") then
   print("Impossibile caricare browser.data")
   exit(1)
end
pg4browser.position = 0
pages[4]:end_layout()

pages[5]:begin_layout()
pages[5].label="info"
pg5browser = Browser{0,0,window_width,view_port}
execute('cardctl info | tee /tmp/cards.txt >> cards.txt')
if not pg5browser:load("/tmp/cards.txt") then
   print("Impossibile caricare browser.data")
   exit(1)
end
pg5browser.position = 0
pages[5]:end_layout()

for i = 1,numOfPages do
   tabs:add(pages[i])
end

tabs:end_layout()

w.resizeable = w
w:end_layout()
w:show()
