#!/bin/flua
-- displays and umounts mounted .uci files
-- written by mikshaw, 2005
-- Changelog (yyyy/mm/dd)
--    2005/12/30: Changed UI to match DSL tools
--                Added hotkey support
--                Auto-selects first line for better keyboard support
--    2005/12/09: Displays total number of mounted UCIs
--    2005/12/08: First release

ww = 400
wh = 150
Fl_Browser.initializers = {textfont=Font.screen}
tempfile = "/tmp/lsuci.tempfile"

w_main = Window{ww,wh,"DSL Uci"}

file_list = Hold_Browser{2,2,ww-4,wh-30}

refresh = Button{ww-123,wh-27,60,25,"&rinfresca"}
function refresh.callback()
execute("awk '{print $1}' /etc/mtab | grep .uci$ >"..tempfile)
file_list:load(tempfile)
--remove blank line at end (flua bug?)
if file_list:text(file_list.size) == "" then file_list:remove(file_list.size) end
remove(tempfile)
uci_total:hide()
uci_total.label = "Files correntemente montati: "..file_list.size
uci_total:show()
file_list:select(1)
end

umount = Button{ww-62,wh-27,60,25,"&smonta"}
function umount.callback()
if file_list.value > 0 then 
execute("mydsl-load "..file_list:text(file_list.value))
refresh.callback()
end
end

uci_total = Box{2,wh-15,0,0;align=Align.right}

w_main:end_layout()
w_main.size_range(w_main,ww-50,wh-80)
w_main.resizable = file_list
refresh.callback()
w_main:show()
