#!/bin/flua
-- (c) Robert Shingledecker <robert@damnsmalllinux.org> 2004
-- GUI frontend to filetool.sh

   w = Window{320,75, "Filetool"}
   input = Input{80,10,220,25,"Dispositivo:"}
   readfrom("/opt/.backup_device")
   input.value = read()

   noneBtn = Button{60,40,70,25,"&Niente"}
   function noneBtn:callback()
     if fl_ask("Cos facendo non avrai pi nessun dispositivo per il backup e ripristino automatici.Sei sicuro?") == 1 then
        execute("> /opt/.backup_device")
        exit(0)
     end
   end

   backup = Button{130,40,70,25,"&Backup"}
   function backup:callback()
     if input.value == "" then
        write(strchar(7)) flush()
     else
        status = execute('sudo /usr/sbin/filetool.sh backup noprompt '.. input.value)
        if status ~= 0 then
           fl_alert("Dispositivo non valido: "..input.value)
        end
        exit(0)
     end
   end

   restore = Button{200,40,70,25,"&Ripristino"}
   function restore:callback()
     if input.value == "" then
        write(strchar(7)) flush()
     else
        status = execute('sudo /usr/sbin/filetool.sh restore noprompt '.. input.value)
        if status ~= 0 then
           fl_alert("Dispositivo non valido: "..input.value)
        end
        exit(0)
     end
   end

   w:end_layout()
   w:show()
